petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCSPAISetMaxNew

set maximum number of new nonzero candidates per step in SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetMaxNew(PC pc,int maxnew1)

### Input Parameters

| pc | - the preconditioner
| n | - maximum number (default 5)

### See Also

PCSPAI, PCSetType(), PCSPAISetNBSteps()

### Level

intermediate

### Location

src/ksp/pc/impls/spai/ispai.c

### Implementations

PCSPAISetMaxNew_SPAI in src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages